Subject: [PATCH 2/3] ARM: at91: at91sam9g45: change at91_adc name

From: [email-masked] (Jonathan Cameron)
Date: Sat, 15 Mar 2014 15:33:12 +0000

On 10/03/14 13:26, Nicolas Ferre wrote:
> On 06/03/2014 20:16, Jonathan Cameron :
>> On 05/03/14 16:57, Alexandre Belloni wrote:
>>> We can't use "at91_adc" to refer to the at91_adc driver anymore as the name is
>>> used to match an id_table.
>>>
>>> Signed-off-by: Alexandre Belloni <[email-masked]>
>> As stated in previous email, I'll take this along with the fix that 'broke'
>> this, if I get an Ack from one of the at91 maintainers.
>
> Jonathan,
>
> It is maybe more clear if I answer here:
> - so, yes, you can take the 3 patches yourself (if you do not mind)
> - you have, for the whole series::
>
> Acked-by: Nicolas Ferre <[email-masked]>
Applied to the fixes-togreg branch of iio.git

Timing wise, these will now hit immediately after the merge window closes.

Jonathan
>
> Thanks for your help with this issue.
>
> Bye,
>
>>> ---
>>>    arch/arm/mach-at91/at91sam9g45_devices.c | 2 +-
>>>    1 file changed, 1 insertion(+), 1 deletion(-)
>>>
>>> diff --git a/arch/arm/mach-at91/at91sam9g45_devices.c b/arch/arm/mach-at91/at91sam9g45_devices.c
>>> index cb36fa872d30..88554024eb2d 100644
>>> --- a/arch/arm/mach-at91/at91sam9g45_devices.c
>>> +++ b/arch/arm/mach-at91/at91sam9g45_devices.c
>>> @@ -1203,7 +1203,7 @@ static struct resource adc_resources[] = {
>>>    };
>>>
>>>    static struct platform_device at91_adc_device = {
>>> -	.name		= "at91_adc",
>>> +	.name		= "at91sam9g45-adc",
>>>    	.id		= -1,
>>>    	.dev		= {
>>>    				.platform_data	= &adc_data,
>>>
>>
>>
>
>